Bug 530741 - "GSSAPIAuthentication yes" by default causes connection issues
"GSSAPIAuthentication yes" by default causes connection issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-24 13:16 EDT by Justin Newman
Modified: 2010-06-28 11:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:07:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Newman 2009-10-24 13:16:51 EDT
Let me just preface this report by saying that I'm not really sure how to make it useful, but I'll include the information I can and hopefully somebody can make something of it.

Description of problem: The default sshd_config has GSSAPIAuthentication set to yes, which seems to cause connection problems ranging from slow authentication to dropped connections.


Version-Release number of selected component (if applicable): OpenSSH_5.2p1, OpenSSL 0.9.8k-fips


How reproducible: It happened on a mostly default sshd setup when connecting from Debian Lenny to Fedora 11. Setting GSSAPIAuthentication to no makes it stop and yes makes it happen again.

  
Actual results: Authentication is made much slower than usual, and drop connections while authenticating are common (>50% for me)


Expected results: SSH connects and authenticates normally and speedily.


Additional info:

Full IRC conversation, with links to debug output: http://pastebin.mozilla.org/678786
Initial debug output: http://pastebin.mozilla.org/678787
Still works from localhost when set to yes: http://pastebin.mozilla.org/678783
Output with 'GSSAPIAuthentication no': http://pastebin.mozilla.org/678785
Comment 1 Bug Zapper 2010-04-28 06:57:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 11:07:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.